Permalink
Browse files

Supported GHC policy means that we always have base >= 4

  • Loading branch information...
1 parent 22228cf commit 75f9254b1561163d5e812e305aba1504bd444112 @igfoo igfoo committed Sep 26, 2012
Showing with 5 additions and 19 deletions.
  1. +5 −19 Cabal/Cabal.cabal
View
24 Cabal/Cabal.cabal
@@ -31,31 +31,17 @@ source-repository head
location: https://github.com/haskell/cabal/
subdir: Cabal
-Flag base4
- Description: Choose the even newer, even smaller, split-up base package.
-
-Flag base3
- Description: Choose the new smaller, split-up base package.
-
-Flag bytestring-in-base
-
Library
- build-depends: base >= 2 && < 5,
+ build-depends: base >= 4 && < 5,
deepseq >= 1.3 && < 1.4,
- filepath >= 1 && < 1.4
- if flag(base4) { build-depends: base >= 4 } else { build-depends: base < 4 }
- if flag(base3) { build-depends: base >= 3 } else { build-depends: base < 3 }
- if flag(base3)
- Build-Depends: directory >= 1 && < 1.3,
+ filepath >= 1 && < 1.4,
+ directory >= 1 && < 1.3,
process >= 1 && < 1.2,
old-time >= 1 && < 1.2,
containers >= 0.1 && < 0.6,
array >= 0.1 && < 0.5,
- pretty >= 1 && < 1.2
- if flag(bytestring-in-base)
- Build-Depends: base >= 2.0 && < 2.2
- else
- Build-Depends: base < 2.0 || >= 3.0, bytestring >= 0.9
+ pretty >= 1 && < 1.2,
+ bytestring >= 0.9
if !os(windows)
Build-Depends: unix >= 2.0 && < 2.7

0 comments on commit 75f9254

Please sign in to comment.